Installing simplejson issues

Diez B. Roggisch deets at nospam.web.de
Sat Mar 29 23:48:26 CET 2008


blwatson at gmail.com schrieb:
> I am trying to install the twitter python wrapper...I got that
> installed just fine, but am having serious troubles getting the
> simplejson package to install.  I need help diagnosing where this is
> failing.  I am trying to use:
> 
> http://pypi.python.org/pypi/simplejson
> 
> and I run "python setup.py build" and then "python setup.py install",
> which both seem to work just fine.
> 
> I tried running with easy_install, but that too is not working.  I end
> up with:
> 
> simplejson-1.8.1-py2.5-macosx-10.3-fat.egg
> 
> in my:
> 
> /Library/Frameworks/Python.framework/Versions/2.5/lib/python2.5/site-
> packages/
> 
> I am on Mac OS X 10.5.  Any help would be greatly appreciated.

Go to the turbogears file section and download an appropriate version of 
simplejson:

http://www.turbogears.org/download/filelist.html

I presume sj-1.7.4 is sufficient.

Alternatively, be gentle to your unixish OS that OS X is, and install 
XCode. Which will install the whole GCC chain, making your OS a 
respected member of OS-community - as every system should be able to 
compile C-code, in which itself has been written.

Then the install should work as well.

Diez



More information about the Python-list mailing list